PVSCAN(8)

NAME
pvscan — scan all disks for physical volumes

SYNOPSIS
pvscan [--commandprofile ProfileName] [-d|--debug] [-h|--help] [-v|--verbose] [--version] [--ignorelockingfailure] [-e|--exported] [-n|--novolumegroup] [-s|--short] [-u|--uuid] pvscan [-d|--debug] [-h|--help] --cache [-a|--activate ay] [-b|--background] [--major major --minor minor | DevicePath | major:minor]...

DESCRIPTION
pvscan scans all supported LVM block devices in the system for physical volumes.

OPTIONS
See lvm(8) for common options.

-e, --exported
    Only show physical volumes belonging to exported volume groups.

-n, --novolumegroup
    Only show physical volumes not belonging to any volume group.

-s, --short
    Short listing format.

-u, --uuid
    Show UUIDs (Uniform Unique Identifiers) in addition to device special names.

-a, --activate ay
    Together with the information already cached in lvmetad, automatically activate any logical volumes that become activatable after the scan done on one or more devices. The logical volume to autoactivate is matched against the activation/auto_activation_volume_list set in lvm.conf. If this list is not set, then all volumes are considered for autoactivation. The autoactivation is not yet supported for logical volumes that are part of partial or clustered volume groups.

-b, --background
    Run the command in the background.

--cache [--major major --minor minor | DevicePath | major:minor ]...
    Scan one or more devices and instruct the lvmetad daemon to update its cached state accordingly. Called internally by udev rules. All devices listed explicitly are processed regardless of any device filters set using devices/filter configuration setting. To filter devices even in this case, the devices/global_filter must be used. If lvmetad has not yet cached any metadata or the filters have recently been changed, then all devices may be scanned, effectively ignoring the rest of the command line. Otherwise, if all the devices referenced on the command line contain metadata in the default lvm2 format, other devices are not accessed. If metadata written using the obsolete GFS pool or lvm1 format is encountered, this is ignored and so lvmetad should not be used. To notify lvmetad about a device that is not present in the system anymore, --major and --minor pair of that device must be always supplied, not DevicePath as pvscan is not able to translate the DevicePath into major and minor pair which lvmetad requires.

SEE ALSO
lvm(8), lvmetad(8), pvcreate(8), pvdisplay(8)